using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Data.Mapping.Deviation
{
    public class InvoiceMap : EntityTypeConfiguration<Core.Domain.Invoice.Invoice>
    {
        public InvoiceMap()
        {
            ToTable("Invoice");

            HasKey(f => f.Id);

            Property(f => f.CustomNumber);
            Property(f => f.Date);
            Property(f => f.Value);

            HasOptional(i => i.Appendix)
                .WithMany(a => a.Invoices)
                .HasForeignKey(i => i.AppendixId);
        }
    }
}
